package com.bjlt.spider.interfaces;

import com.bjlt.spider.entity.OrderRequestEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author: luyanan0718@163.com
 * @create :2017/12/1 13:58
 * @introduce :
 **/
@FeignClient(value = "spider-order-service" ,fallback = AirasiaWebOrderRpcHystrix.class)
public interface AirasiaWebOrderRpc {

	/**
	 * 获取登录后的cookie 值的cookie
	 * @param userName 用户名
	 * @param passWord 密码
	 * @return
	 */
	/*@RequestMapping(value = "/airasiaweb/getCookie", method = RequestMethod.POST)
	public RespEntity LoginCookie(@RequestParam("userName") String userName,@RequestParam("passWord") String passWord);*/
	
	/**
	 * 亚航生单
	 * @param orderRequestEntity
	 * @return
	 */
	@RequestMapping(value = "/airasiaweb/order", method = RequestMethod.POST)
	public RespEntity order(@RequestBody OrderRequestEntity orderRequestEntity);
	
	
	/**
	 * 创建亚航代理人账号
	 * @param accountCode 账户编码
	 * @param userName    用户名
	 * @param passWord    密码
	 * @return
	 *//*
	@RequestMapping(value = "/airasiaweb/foundAirasiaAccount", method = RequestMethod.POST)
	public RespEntity foundAirasiaAccount(@RequestParam String accountCode,@RequestParam String userName,@RequestParam String passWord);
	
	
	*//**
	 * 验证代理人账户是否还在登录状态
	 * @param accountCode 账号编码
	 * @param userName    用户名
	 * @return
	 *//*
	@RequestMapping(value = "/airasiaweb/IsItOnline", method = RequestMethod.POST)
	public RespEntity IsItOnline(@RequestParam String accountCode,@RequestParam String userName);
	
	*//**
	 * 获取每个代理人账户的状态
	 * @return
	 *//*
	@RequestMapping(value = "/airasiaweb/queryAllState", method = RequestMethod.POST)
	public RespEntity queryAllState();
	
	*//**
	 * 销毁账号
	 * @param accountCode 账号编码
	 * @return
	 *//*
	@RequestMapping(value = "/airasiaweb/DestroyAccount", method = RequestMethod.POST)
	public RespEntity DestroyAccount(@RequestParam String accountCode);
	
	*//**
	 * 普通生单
	 * @param orderRequestEntity
	 * @return
	 *//*
	@RequestMapping(value = "/airasiaweb/ordinaryOrder", method = RequestMethod.POST)
	public RespEntity OrdinaryOrder(@RequestBody OrderRequestEntity orderRequestEntity);*/
}
